HttpParams (HttpClient Library (Version 3.1))
Date: 2018-05-07

org.apache.commons.httpclient.params

## Interface HttpParams

- All Known Implementing Classes:
    DefaultHttpParams, HostParams, HttpClientParams, HttpConnectionManagerParams, HttpConnectionParams, HttpMethodParams

      public interface HttpParams

  This interface represents a collection of HTTP protocol parameters. Protocol parameters may be linked together to form a hierarchy. If a particular parameter value has not been explicitly defined in the collection itself, its value will be drawn from the parent collection of parameters.
  Since:
    3.0
  Version:
    $Revision: 480424 $
  Author:
    Oleg Kalnichevski

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanParameter(java.lang.String name, boolean defaultValue)` Returns a `Boolean` parameter value with the given name.
    `HttpParams` | `getDefaults()` Returns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
    `double` | `getDoubleParameter(java.lang.String name, double defaultValue)` Returns a `Double` parameter value with the given name.
    `int` | `getIntParameter(java.lang.String name, int defaultValue)` Returns an `Integer` parameter value with the given name.
    `long` | `getLongParameter(java.lang.String name, long defaultValue)` Returns a `Long` parameter value with the given name.
    `java.lang.Object` | `getParameter(java.lang.String name)` Returns a parameter value with the given name.
    `boolean` | `isParameterFalse(java.lang.String name)` Returns `true` if the parameter is either not set or is `false`, `false` otherwise.
    `boolean` | `isParameterSet(java.lang.String name)` Returns `true` if the parameter is set at any level, `false` otherwise.
    `boolean` | `isParameterSetLocally(java.lang.String name)` Returns `true` if the parameter is set locally, `false` otherwise.
    `boolean` | `isParameterTrue(java.lang.String name)` Returns `true` if the parameter is set and is `true`, `false` otherwise.
    `void` | `setBooleanParameter(java.lang.String name, boolean value)` Assigns a `Boolean` to the parameter with the given name
    `void` | `setDefaults(HttpParams params)` Assigns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
    `void` | `setDoubleParameter(java.lang.String name, double value)` Assigns a `Double` to the parameter with the given name
    `void` | `setIntParameter(java.lang.String name, int value)` Assigns an `Integer` to the parameter with the given name
    `void` | `setLongParameter(java.lang.String name, long value)` Assigns a `Long` to the parameter with the given name
    `void` | `setParameter(java.lang.String name, java.lang.Object value)` Assigns the value to the parameter with the given name

- - ### Method Detail

    - #### getDefaults

          HttpParams getDefaults()

      Returns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
      Returns:
        the parent collection to defer to, if a particular parameter is not explictly set in the collection itself.
      See Also:
        `setDefaults(HttpParams)`

    - #### setDefaults

          void setDefaults(HttpParams params)

      Assigns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
      Parameters:
        `params` - the parent collection to defer to, if a particular parameter is not explictly set in the collection itself.
      See Also:
        `getDefaults()`

    - #### getParameter

          java.lang.Object getParameter(java.lang.String name)

      Returns a parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, `null` value is returned.
      Parameters:
        `name` - the parent name.
      Returns:
        an object that represents the value of the parameter.
      See Also:
        `setParameter(String, Object)`

    - #### setParameter

          void setParameter(java.lang.String name,
                          java.lang.Object value)

      Assigns the value to the parameter with the given name
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getLongParameter

          long getLongParameter(java.lang.String name,
                              long defaultValue)

      Returns a `Long` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Long` that represents the value of the parameter.
      See Also:
        `setLongParameter(String, long)`

    - #### setLongParameter

          void setLongParameter(java.lang.String name,
                              long value)

      Assigns a `Long` to the parameter with the given name
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getIntParameter

          int getIntParameter(java.lang.String name,
                            int defaultValue)

      Returns an `Integer` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Integer` that represents the value of the parameter.
      See Also:
        `setIntParameter(String, int)`

    - #### setIntParameter

          void setIntParameter(java.lang.String name,
                             int value)

      Assigns an `Integer` to the parameter with the given name
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getDoubleParameter

          double getDoubleParameter(java.lang.String name,
                                  double defaultValue)

      Returns a `Double` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Double` that represents the value of the parameter.
      See Also:
        `setDoubleParameter(String, double)`

    - #### setDoubleParameter

          void setDoubleParameter(java.lang.String name,
                                double value)

      Assigns a `Double` to the parameter with the given name
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getBooleanParameter

          boolean getBooleanParameter(java.lang.String name,
                                    boolean defaultValue)

      Returns a `Boolean` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Boolean` that represents the value of the parameter.
      See Also:
        `setBooleanParameter(String, boolean)`

    - #### setBooleanParameter

          void setBooleanParameter(java.lang.String name,
                                 boolean value)

      Assigns a `Boolean` to the parameter with the given name
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### isParameterSet

          boolean isParameterSet(java.lang.String name)

      Returns `true` if the parameter is set at any level, `false` otherwise.
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set at any level, `false` otherwise.

    - #### isParameterSetLocally

          boolean isParameterSetLocally(java.lang.String name)

      Returns `true` if the parameter is set locally, `false` otherwise.
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set locally, `false` otherwise.

    - #### isParameterTrue

          boolean isParameterTrue(java.lang.String name)

      Returns `true` if the parameter is set and is `true`, `false` otherwise.
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set and is `true`, `false` otherwise.

    - #### isParameterFalse

          boolean isParameterFalse(java.lang.String name)

      Returns `true` if the parameter is either not set or is `false`, `false` otherwise.
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is either not set or is `false`, `false` otherwise.

Copyright (c) 1999-2005 - Apache Software Foundation